<script lang="ts" setup>
import LoadingDialog from '@/components/Dialog/LoadingDialog.vue'
import MessageDialog from '@/components/Dialog/MessageDialog.vue'
import { useInformationStore } from '@/stores/information'
import { onMounted } from 'vue'

const informationStore = useInformationStore()

onMounted(async () => {
  await informationStore.getInformations()
})
</script>
<template>
  <LoadingDialog></LoadingDialog>
  <MessageDialog></MessageDialog>
  <v-container
    ><v-text-field v-model="informationStore.newInfo" label="เพิ่มข้อมูล"></v-text-field>
    <v-btn @click="informationStore.addInfo()">+</v-btn
    ><v-row v-for="info of informationStore.informations" :key="info.info_id"
      ><v-col>{{ info.info_content }}</v-col>
      <v-col><v-btn @click="informationStore.delInformation(info)">x</v-btn></v-col></v-row
    ></v-container
  >
</template>
<style scoped></style>
